# Asterisk Project : Asterisk 12 ManagerAction_VoicemailRefresh

Added by wikibot , edited by wikibot on Aug 29, 2013

# VoicemailRefresh

### Synopsis

Tell Asterisk to poll mailboxes for a change

### Description

Normally, MWI indicators are only sent when Asterisk itself changes a mailbox. With external programs that modify the content of a mailbox from outside the application, an option exists called `pollmailboxes` that will cause voicemail to continually scan all mailboxes on a system for changes. This can cause a large amount of load on a system. This command allows external applications to signal when a particular mailbox has changed, thus permitting external applications to modify mailboxes and MWI to work without introducing considerable CPU load.

If Context is not specified, all mailboxes on the system will be polled for changes. If Context is specified, but Mailbox is omitted, then all mailboxes within Context will be polled. Otherwise, only a single mailbox will be polled for changes.

### Syntax

    Action: VoicemailRefresh
    ActionID: <value>
    Context: <value>
    Mailbox: <value>

##### Arguments

- `ActionID` - ActionID for this transaction. Will be returned.
- `Context`
- `Mailbox`

### See Also

### Import Version

This documentation was imported from Asterisk Version Unknown